### Virtual Method

# Gtk TreeDragSourcedrag_data_delete

deprecated: 4.10

#### Declaration [src]

    gboolean
    drag_data_delete (
      GtkTreeDragSource* drag_source,
      GtkTreePath* path
    )

#### Description [src]

Asks the `GtkTreeDragSource` to delete the row at `path`, because it was moved somewhere else via drag-and-drop. Returns `FALSE` if the deletion fails because `path` no longer exists, or for some model-specific reason. Should robustly handle a `path` no longer found in the model!

Deprecated since: 4.10

Use list models instead.

#### Parameters

`path`

  Type: `GtkTreePath`

  Row that was being dragged.

  The data is owned by the caller of the function.

#### Return value

Type: `gboolean`

`TRUE` if the row was successfully deleted.